# How Epiphany Interacts With the Apex Server

{% hint style="warning" %}
Authentication calls to the server using the provided credentials will be used to generate a JSON Web Token (JWT). This token will then be leveraged to access the following calls. These calls were designed to be made using a coding language such as Python.
{% endhint %}

## **Required API Calls**

#### Call 1: GET Server Info

```
Resource: /WebApp/API/ServerResource/ProductServers

Headers:
{
'Authorization' : 'Bearer '+jwt_token,
'Content-Type': 'application/json;charset=utf-8'
}

piBody: <N/A>

```

#### Call 2: GET Security Agents

```
Resource: /WebApp/API/AgentResource/ProductAgents

Headers:
{
'Authorization' : 'Bearer '+jwt_token,
'Content-Type': 'application/json;charset=utf-8'
}

Body: <N/A>
```

## **Helpful API Calls**

#### Call 1: PUT List all Investigation Results

```
Resource: /WebApp/OSCE_iES/OsceIes/ApiEntry
Headers:
{
'Authorization' : 'Bearer '+jwt_token,
'Content-Type': 'application/json;charset=utf-8'
}
Body :
{
"Url": "V1/Task/ShowScanSummaryList",
"TaskType": 4,
"Payload": {
"pagination": {
"offset": 0,
"limit": 50
},
"scanType": [
1,
2,
6
],
"filter": [
{
"type": 10,
"value": ""
}
]
}
}
```

#### Call 2: PUT Download the RCA CSV file

```
Resource: /WebApp/OSCE_iES/OsceIes/ApiEntry

Headers:
{
'Authorization' : 'Bearer '+jwt_token,
'Content-Type': 'application/json;charset=utf-8'
}

Body:
{
"Url": "V1/Content/ShowContent",
"TaskType": 4,
"TaskId": "",
"ContentId": "",
"TopN": 1
}
```

## **Export Format**

These calls will be stored in a JSON format and transmitted through the rest of the Epiphany workflow to derive endpoint protection data points within the larger data models.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.reveald.com/technical-documentation/data-sources/trend-micro-apex-one/how-epiphany-interacts-with-the-apex-server.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
